/**
 * Stylized modal dialog.
 */
export declare class KlevuModal {
  #private;
  startOpen: boolean;
  componentDidLoad(): void;
  openModal(): Promise<void>;
  closeModal(): Promise<void>;
  render(): any;
}
